@import url("https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css");

:root {
  --header-height: 70px;
  --footer-height: 200px;

  --nav-width: 1000px;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  background-color: white;
}

header {
  position: fixed;
  z-index: 5;
  top: 0;

  display: flex;
  justify-content: center;

  height: var(--header-height);
  width: 100%;

  box-shadow: 2px 0 10px #7c7c7c;

  background-color: white;
}

nav {
  display: flex;
  justify-content: space-between;

  width: var(--nav-width);

  /* background-color: aquamarine; */
}

.logo {
  display: flex;
  align-items: center;

  height: 100%;
}

.logo img {
  height: 80%;
}

.menu {
  display: flex;
  align-items: center;

  list-style-type: none;
}

.menu li {
  height: 100%;
  /* margin: 0 0.3rem; */
}

.menu a {
  display: flex;
  align-items: center;
  height: 100%;
  text-decoration: none;
  color: #7c7c7c;
  padding: 0 0.7rem;
}

.menu a:hover {
  background-color: rgba(189, 222, 255, 0.2);
  border-bottom: 3px solid #bddeff;
}

.active {
  background-color: rgba(139, 170, 200, 0.2); /* Endnu mørkere blå nuance */
  border-bottom: 3px solid #7ea4c8; /* Endnu mørkere solid kant */
}

.hero-image-wrapper {
  height: 800px;
  overflow: hidden;
  background-image: url(img/index-hero-image-50x33.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.index .info {
  position: absolute;
  z-index: 1;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 600px;
  font-size: 26px;
  color: rgb(255, 255, 255);
  text-align: center;
}

.index :is(.info a, .about a) {
  display: flex;
  align-items: center;
  justify-content: center;

  height: 50px;
  width: 150px;

  margin: 1rem auto;

  color: black;
  text-decoration: none;

  border-radius: 7px;
  background-color: #bddeff;
}

.index section:first-of-type {
  position: relative;

  display: flex;
  /* justify-content: center; */
  align-items: center;

  /* height: 400px; */

  padding: 2rem 0;
}

.block-grey {
  position: absolute;
  z-index: -1;
  right: 0;
  height: 100%;
  width: 70%;
  background-color: rgb(243, 243, 243);
  border-bottom-left-radius: 7px;
}

.index .about {
  width: 700px;

  margin-left: 100px;
  font-size: 26px;
}

.index .about a {
  margin: 0;
  margin-top: 1rem;
}

/* ABOUT */
.about main {
  /* height: 100vh; standart */
  height: calc(100vh - var(--header-height));

  /* margin-top: calc(var(--header-height)); */
}
.about section:first-of-type {
  display: flex;

  width: 100%;
  height: 100%;
  /* padding: 5rem; standart */
  padding: calc(5rem + var(--header-height)) 5rem 5rem 5rem;

  background-color: rgb(243, 243, 243);
}
.about .info {
  width: 70%;
  background-color: white;
  border-top-left-radius: 7px;
  border-bottom-left-radius: 7px;
  font-size: 26px;
  padding: 1rem;
}

.portrait {
  overflow: hidden;
  height: 100%;
  width: 30%;
  border-top-right-radius: 7px;
  border-bottom-right-radius: 7px;
  background-image: url(img/portrait-50x70.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#gallery {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-template-rows: auto;

  width: 100%;

  /* gap: 0.7rem; */
  margin-top: 5rem;
}

#gallery div,
#gallery img {
  width: 100%;
}

#gallery div {
  overflow: hidden;
  /* height: 500px; */
  aspect-ratio: 1 / 1;
  /* border-radius: 7px; */
}

#gallery div:nth-child(4n + 1) {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

#gallery div:nth-child(4n + 4) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

#gallery img {
  display: block;
  object-fit: cover;
  object-position: center;

  height: 100%;

  cursor: pointer;

  transition: filter 0.3s ease;
}

#gallery img:hover {
  /* opacity: 0.8; */
  filter: brightness(0.6);
}

.overlay {
  position: fixed;
  display: flex;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1000;
  background-color: hsl(0, 0%, 10%, 0.9);
}

.overlay .imageContainer {
  position: relative;
}

.overlay img {
  height: 90vh;
  border-radius: 7px;
  aspect-ratio: 1 / 1;
}

.overlay .close-icon {
  height: 30px;
  width: 30px;
  position: absolute;
  top: 0;
  right: 0;
  cursor: pointer;
  margin: 0.7rem;
}

.right-arrow::before {
  content: "\f105";
  font-family: "Font Awesome 6 Free";
  font-weight: 1000;
}

.left-arrow::before {
  content: "\f104";
  font-family: "Font Awesome 6 Free";
  font-weight: 1000;
}

.overlay .right-arrow,
.overlay .left-arrow {
  display: flex;
  transition: 100ms;
  align-items: center;
  justify-content: center;
  position: absolute;
  height: 100%;
  width: 100px;
  cursor: pointer;
}

.overlay .right-arrow img,
.overlay .left-arrow img {
  width: 30px;
  height: 30px;
}

.overlay .right-arrow {
  right: 0;
}

.overlay .left-arrow {
  left: 0;
}
.overlay .left-arrow img {
  transform: scale(-1);
}

.overlay .right-arrow:hover,
.overlay .left-arrow:hover {
  transition: 100ms;
  background-color: #7ea4c8;
}

.overlay .container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

/*! GALLERY */
.gallery main {
  height: calc(100vh - var(--header-height));

  margin-top: calc(var(--header-height));
}

/*! PRISER */
.prices main {
  font-size: 26px;
  display: flex;
  flex-direction: column;
  height: calc(100vh - var(--header-height));

  margin-top: calc(var(--header-height));
}

.prices section {
  display: flex;
  width: var(--nav-width);

  margin: 0 auto;
}

.prices section:first-of-type {
}
.prices h1 {
  text-align: center;
  width: var(--nav-width);

  margin: 0 auto;
}

.card {
  display: flex;
  flex-direction: column;
  border-radius: 7px;
  overflow: hidden;
  background-color: #7c7c7c;
  width: calc(var(--nav-width) / 3);
}

/*! BOOK A TIME */
.book-a-time main {
  height: calc(100vh - var(--header-height));

  margin-top: calc(var(--header-height));
}

/*! LAZY LOADING / BLURRY */
.blurry-image img {
  object-fit: cover;
  object-position: center;
  opacity: 0;
  transition: opacity 250ms ease-in-out;
  width: 100%;
  height: 100%;
}

.blurry-image.loaded img {
  opacity: 1;
}

footer {
  width: 100%;
  height: var(--footer-height);

  margin-top: 5rem;

  background-color: black;
}

@media (min-width: 600px) {
  #gallery {
    grid-template-columns: repeat(2, 1fr); /* 2 kolonner */
  }
}

/* Computer */
@media (min-width: 1024px) {
  #gallery {
    grid-template-columns: repeat(4, 1fr); /* 4 kolonner */
  }
}
